
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>nl2declare.application package &#8212; NL2Declare  documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css" />
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="nl2declare.constructs package" href="nl2declare.constructs.html" />
    <link rel="prev" title="nl2declare.actmatching package" href="nl2declare.actmatching.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="nl2declare-application-package">
<h1>nl2declare.application package<a class="headerlink" href="#nl2declare-application-package" title="Permalink to this heading">¶</a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Permalink to this heading">¶</a></h2>
</section>
<section id="module-nl2declare.application.d4py">
<span id="nl2declare-application-d4py-module"></span><h2>nl2declare.application.d4py module<a class="headerlink" href="#module-nl2declare.application.d4py" title="Permalink to this heading">¶</a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.application.d4py.compute_precision">
<span class="sig-prename descclassname"><span class="pre">nl2declare.application.d4py.</span></span><span class="sig-name descname"><span class="pre">compute_precision</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="pre">model_constraints:</span> <span class="pre">[&lt;class</span> <span class="pre">'str'&gt;],</span> <span class="pre">log_constraints:</span> <span class="pre">[&lt;class</span> <span class="pre">'str'&gt;]</span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/application/d4py.html#compute_precision"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.application.d4py.compute_precision" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.application.d4py.create_d4py_declaremodel">
<span class="sig-prename descclassname"><span class="pre">nl2declare.application.d4py.</span></span><span class="sig-name descname"><span class="pre">create_d4py_declaremodel</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">constraints</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">set</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="nl2declare.constructs.html#nl2declare.constructs.declare_constraint.DeclareConstraint" title="nl2declare.constructs.declare_constraint.DeclareConstraint"><span class="pre">nl2declare.constructs.declare_constraint.DeclareConstraint</span></a><span class="p"><span class="pre">]</span></span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/application/d4py.html#create_d4py_declaremodel"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.application.d4py.create_d4py_declaremodel" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.application.d4py.create_result_csv_content">
<span class="sig-prename descclassname"><span class="pre">nl2declare.application.d4py.</span></span><span class="sig-name descname"><span class="pre">create_result_csv_content</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">conf_check_res</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/application/d4py.html#create_result_csv_content"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.application.d4py.create_result_csv_content" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.application.d4py.get_conformance_metrics">
<span class="sig-prename descclassname"><span class="pre">nl2declare.application.d4py.</span></span><span class="sig-name descname"><span class="pre">get_conformance_metrics</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">model</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">event_log</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/application/d4py.html#get_conformance_metrics"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.application.d4py.get_conformance_metrics" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</section>
<section id="module-nl2declare.application">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-nl2declare.application" title="Permalink to this heading">¶</a></h2>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">NL2Declare</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">nl2declare</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="nl2declare.html">nl2declare package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  <li><a href="modules.html">nl2declare</a><ul>
  <li><a href="nl2declare.html">nl2declare package</a><ul>
      <li>Previous: <a href="nl2declare.actmatching.html" title="previous chapter">nl2declare.actmatching package</a></li>
      <li>Next: <a href="nl2declare.constructs.html" title="next chapter">nl2declare.constructs package</a></li>
  </ul></li>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2024, Pia Halkour, Marc Ludevid Wulf, Julian Kofferath.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 5.0.2</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/nl2declare.application.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>